package com.ssj.service.sys.analysis.service;

import java.util.Map;

import com.ssj.bean.sys.analysis.bean.AnalysisCount;
import com.ssj.framework.core.common.service.BaseService;

public interface AnalysisCountService extends BaseService<AnalysisCount, String> {
	
	public void runTaskAnalysisCount();
	
	public AnalysisCount getAnalysisCountByDay(String libId,Integer source,Integer type,String dayTime);
	
	public Map<String, Object> countAnalysisCountCommonByCountDate(Map<String, Object> params);
	
	public Map<String, Object> countRecallCommonByCountDate(Map<String, Object> params);
	
	public Map<String, Object> countUploadWorkCommonByCountDate(Map<String, Object> params);
	
}
